<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <com.qmuiteam.qmui.widget.QMUITopBar
        android:id="@+id/add_printer_currency_topbar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/head_height"
        app:qmui_topbar_text_btn_color_state_list="@color/theme_white_color"
        app:qmui_topbar_title_color="@color/theme_white_color" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <RelativeLayout
                android:id="@+id/layout_currency_add_table_mode"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_currency_table_mode_text"
                    style="@style/print_add_title_textStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="餐檯模式" />


                <ImageView
                    android:id="@+id/iv_currency_table_mode_arrow"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_black_next_arrow" />

                <TextView
                    android:id="@+id/print_currency_table_mode"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_7"
                    android:layout_marginRight="@dimen/dp_7"
                    android:layout_toLeftOf="@id/iv_currency_table_mode_arrow"
                    android:layout_toRightOf="@id/tv_currency_table_mode_text"
                    android:gravity="right"
                    android:text="請選擇"
                    android:textColor="@color/color_3c"
                    android:textSize="@dimen/dp_16" />
            </RelativeLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <LinearLayout
                android:id="@+id/layout_currency_add_food_color"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="食品顏色" />

                <TextView
                    android:id="@+id/tv_currency_add_food_color"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_7"
                    android:layout_marginRight="@dimen/dp_7"
                    android:layout_weight="1"
                    android:gravity="right"
                    android:text="請選擇"
                    android:textColor="@color/color_3c"
                    android:textSize="@dimen/dp_16" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_black_next_arrow" />
            </LinearLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <LinearLayout
                android:id="@+id/layout_currency_add_food_item_color"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="細項顏色" />

                <TextView
                    android:id="@+id/tv_currency_add_food_item_color"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_7"
                    android:layout_marginRight="@dimen/dp_7"
                    android:layout_weight="1"
                    android:gravity="right"
                    android:text="請選擇"
                    android:textColor="@color/color_3c"
                    android:textSize="@dimen/dp_16" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_black_next_arrow" />
            </LinearLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />


            <LinearLayout
                android:id="@+id/layout_currency_add_food_font_size"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="食品字體大小" />

                <TextView
                    android:id="@+id/tv_currency_add_food_font_size"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_7"
                    android:layout_marginRight="@dimen/dp_7"
                    android:layout_weight="1"
                    android:gravity="right"
                    android:text="2"
                    android:textColor="@color/color_3c"
                    android:textSize="@dimen/dp_16" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_black_next_arrow" />
            </LinearLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />


            <LinearLayout
                android:id="@+id/layout_currency_add_food_item_font_size"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="細項字體大小" />

                <TextView
                    android:id="@+id/tv_currency_add_food_item_font_size"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_7"
                    android:layout_marginRight="@dimen/dp_7"
                    android:layout_weight="1"
                    android:gravity="right"
                    android:text="2"
                    android:textColor="@color/color_3c"
                    android:textSize="@dimen/dp_16" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_black_next_arrow" />
            </LinearLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <LinearLayout
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="食品是否加粗" />

                <Switch
                    android:id="@+id/switch_currency_add_food_font_thickness"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:thumb="@drawable/shape_thumb_on"
                    android:track="@drawable/selector_switch_track"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </LinearLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <LinearLayout
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="細項是否加粗" />

                <Switch
                    android:id="@+id/switch_currency_add_food_item_font_thickness"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:thumb="@drawable/shape_thumb_on"
                    android:track="@drawable/selector_switch_track"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </LinearLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <LinearLayout
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="食品斜體" />

                <Switch
                    android:id="@+id/switch_currency_add_food_italic"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:thumb="@drawable/shape_thumb_on"
                    android:track="@drawable/selector_switch_track"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </LinearLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <LinearLayout
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="細項斜體" />

                <Switch
                    android:id="@+id/switch_currency_add_food_item_italic"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:thumb="@drawable/shape_thumb_on"
                    android:track="@drawable/selector_switch_track"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </LinearLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />
            <!--    數量大於1顏色是否翻轉-->
            <LinearLayout
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="數量大於1顏色是否翻轉" />

                <Switch
                    android:id="@+id/switch_currency_add_color_flip"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:thumb="@drawable/shape_thumb_on"
                    android:track="@drawable/selector_switch_track"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>


    <com.qmuiteam.qmui.alpha.QMUIAlphaButton
        android:id="@+id/printer_add_currency"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/printer_add_input_paddingLeft"
        android:layout_marginRight="@dimen/printer_add_input_paddingLeft"
        android:layout_marginBottom="@dimen/dp_20"
        android:background="@drawable/shape_app_btn"
        android:gravity="center"
        android:paddingTop="@dimen/dp_10"
        android:paddingBottom="@dimen/dp_10"
        android:text="保存"
        android:textColor="@color/white"
        android:textSize="@dimen/dp_16" />
</LinearLayout>